@import url(https://fonts.googleapis.com/css?family=Nunito:400,700,300);
body {
  font-family: "Nunito", sans-serif;
  background: #373e46;
}

#loading_line {
  width: 0px;
  height: 5px;
  background: blue;
}

.buttonContainer {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  cursor: pointer;
}
.buttonContainer .complete {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  transform: scale(1.9);
  color: #f9f9f9;
  transition: all 0.3s ease;
  opacity: 0;
}
.buttonContainer .complete.fadein {
  opacity: 1;
  transform: scale(1.5);
}
.buttonContainer #counter {
  color: #e91d62;
  font-size: 19px;
  left: 0;
  right: 0;
  bottom: 20px;
  margin: auto;
  display: none;
  position: absolute;
}
.buttonContainer .ball {
  position: absolute;
  left: 0;
  right: 0;
  top: -26px;
  margin: auto;
  width: 40px;
  height: 40px;
  border-radius: 40px;
  background-color: #e91d62;
  box-shadow: inset 1px 1px 1px 0px rgba(255, 255, 255, 0.54);
  display: none;
}
.buttonContainer:before {
  content: "Download";
  display: block;
  text-transform: uppercase;
  color: #e91d62;
  font-weight: 700;
  font-size: 13px;
  transform: translateY(38px);
  transition: all 0.2s ease;
}
.buttonContainer.active {
  pointer-events: none;
}
.buttonContainer.active:before {
  opacity: 0;
}
.buttonContainer.active .ball {
  animation: jump 2s cubic-bezier(0.16, 0.15, 1, 0.49) infinite;
}
.buttonContainer.active #button {
  stroke-dashoffset: 290;
  width: 300px;
  stroke-width: 9;
  animation: struk 2s cubic-bezier(0.16, 0.15, 1, 0.49) infinite;
}
.buttonContainer #button {
  stroke-dasharray: 411;
  stroke-dashoffset: 0;
  marker-start: 30;
  transform-origin: 50% 50%;
  transition: all 0.4s cubic-bezier(0.18, 0.89, 0.32, 1.28);
}

@keyframes jump {
  0% {
    transform: translateY(0%);
  }
  10% {
    transform: translateY(-180%);
  }
  18% {
    width: 40px;
    height: 40px;
  }
  20% {
    transform: translateY(10%);
    width: 48px;
    height: 32px;
  }
  22% {
    width: 40px;
    height: 40px;
  }
  30% {
    transform: translateY(-90%);
  }
  38% {
    width: 40px;
    height: 40px;
  }
  40% {
    transform: translateY(5%);
    width: 44px;
    height: 36px;
  }
  42% {
    width: 40px;
    height: 40px;
  }
  49% {
    transform: translateY(-40%);
  }
  57% {
    transform: translateY(0%);
  }
  65% {
    transform: translateY(-10%);
  }
  70% {
    transform: translateY(0%);
  }
}
@keyframes struk {
  18% {
    transform: translateY(0%);
  }
  20% {
    transform: translateY(10%);
  }
  22% {
    transform: translateY(0%);
  }
  38% {
    transform: translateY(0%);
  }
  40% {
    transform: translateY(5%);
  }
  42% {
    transform: translateY(0%);
  }
}